Last modified: 2012-05-15 07:32:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 32748 - Printer friendly version of article must encode URL in unicode.
Printer friendly version of article must encode URL in unicode.
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 05:23 UTC by Srikanth Logic
Modified: 2012-05-15 07:32 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Sample print output from a copy of https://te.wikibooks.org/wiki/%E0%B0%89%E0%B0%AC%E0%B1%81%E0%B0%82%E0%B0%9F%E0%B1%81_%E0%B0%B5%E0%B0%BE%E0%B0%A1%E0%B1%81%E0%B0%95%E0%B0%B0%E0%B0%BF_%E0%B0%AE%E0%B0% (46.24 KB, application/pdf)
2011-12-02 00:48 UTC, Brion Vibber
Details
Test patch: changes print footer to decode Unicode chars as a pretty IRI (1.74 KB, patch)
2011-12-02 00:49 UTC, Brion Vibber
Details
PDF output with the patch (44.76 KB, application/pdf)
2011-12-02 00:52 UTC, Brion Vibber
Details

Description Srikanth Logic 2011-12-01 05:23:20 UTC
While this may or may not be combined with bug 1450, i think this is a seperate issue. 

== Originally reported on bug 1450 ==
The additional problem appears when you want to make wiki book and opt for
printer friendly version of the article. At the end of the article, a really
long URL in US ASCII appears. I think it need not be in US ASCII, as
international domain names have been approved.  Please correct the print
version to a unicode  url, so that the page can be accessed easily as well as
understood in the human readable language.

Appreciate higher priority to fix this bug, as we are ready to publish e-books
in Telugu
Example Ubuntu user guide page url as it appears in printer friendly version.
http://te.wikibooks.org/wiki/%E0%B0%89%E0%B0%AC%E0%B1%81%E0%B0%82%E0%B0%9F%E0%B1%81_%E0%B0%B5%E0%B0%BE%E0%B0%A1%E0%B1%81%E0%B0%95%E0%B0%B0%E0%B0%BF_%E0%B0%AE%E0%B0%BE%E0%B0%B0%E0%B1%8D%E0%B0%97%E0%B0%A6%E0%B0%B0%E0%B1%8D%E0%B0%B6%E0%B0%A8%E0%B0%BF
 and a shorturl if it were to be used.
http://te.wikibooks.org/wiki/ఉబుంటు వాడుకరి మార్గదర్శని
Comment 1 Mark A. Hershberger 2011-12-01 13:56:07 UTC
Have you tried using the PDF export (click on "PDF క్రింద దిగుమతి చేసుకోండి") instead of the "printer friendly version" or creating a book/collection (click on "ఓ పుస్తకాన్ని సృష్టించండి")?  Adding some of the PediaPress devs in case there are some concerns with the Collection extension that they could address.

If there is a compelling reason for not using the above methods, then I'll see if we can't get this fixed sooner.
Comment 2 Srikanth Logic 2011-12-01 15:03:43 UTC
Indic rendering on PDF is not up to mark yet, So thats a bigger problem than this. I think Santhosh is working on it, but may take time. Fixing this will do good for the time being.
Comment 3 Brion Vibber 2011-12-02 00:48:17 UTC
Created attachment 9592 [details]
Sample print output from a copy of https://te.wikibooks.org/wiki/%E0%B0%89%E0%B0%AC%E0%B1%81%E0%B0%82%E0%B0%9F%E0%B1%81_%E0%B0%B5%E0%B0%BE%E0%B0%A1%E0%B1%81%E0%B0%95%E0%B0%B0%E0%B0%BF_%E0%B0%AE%E0%B0%

PDF shows the reealllllly long permalink URL broken over 5 lines in the print footer. While possible in principle, it doesn't look very easy to type. :)

Note that the title isn't actually necessary in the permalink, but the 'oldid=1517' at the end is vital to getting that particular version of the page (and would, on its own, be sufficient).
Comment 4 Brion Vibber 2011-12-02 00:49:35 UTC
Created attachment 9593 [details]
Test patch: changes print footer to decode Unicode chars as a pretty IRI

Test patch: changes print footer to decode Unicode chars as a pretty IRI (Internationalized Resource Identifier). Only changes the print footer, but adds a wfExpandIRI() function as a sister of wfExpandUrl().
Comment 5 Brion Vibber 2011-12-02 00:52:01 UTC
Created attachment 9594 [details]
PDF output with the patch

PDF output with the patch. Several things to note:

* by default, titles will still use underscores instead of spaces here. this may or may not look good with all scripts
* the URL is still longish due to presence of index.php?title= and the oldid=1517 is bumped to the second line.

I might recommend changing permalinks in general to a more compact format that puts the oldid first.
Comment 6 Brion Vibber 2011-12-02 00:54:07 UTC
Note the PDF output above is produced by print to file on Firefox 8 on Ubuntu 11.10.
Comment 7 Santhosh Thottingal 2012-03-29 06:01:53 UTC
The patch proposed by Brion is submitted here https://gerrit.wikimedia.org/r/3897 - with slight modification.
Comment 8 Santhosh Thottingal 2012-05-15 07:32:57 UTC
This is already merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links